Skip to content
View as Markdown

GET Get Contact URL Metrics​

GET
/subscribers/{id}/url-metrics

Retrieve a paginated list of URL click metrics for a contact. Shows which URLs the contact clicked in campaign emails along with click counts.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Query Parameters

sort_by

Column to sort by.

Type
string
Default
"id"
sort_type

Sort direction.

Type
string
Valid values
"ASC""DESC"
Default
"DESC"
per_page

Number of records per page.

Type
integer
Default
15
page

Page number.

Type
integer
Default
1

Responses​

Paginated URL click metrics.

application/json
JSON
{
"urlMetrics": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"url": "string",
"count": 0
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI